Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::RTORB::MutexNotFound Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::RTORB::MutexNotFound:

[legend]
Collaboration diagram for RTCORBA::RTORB::MutexNotFound:

[legend]
List of all members.

## Public Methods
| MutexNotFound (void)
| MutexNotFound (const MutexNotFound &)
| ~MutexNotFound (void)
MutexNotFound & | operator= (const MutexNotFound &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
MutexNotFound * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

RTCORBA::RTORB::MutexNotFound::MutexNotFound | ( | void |  | ) |

RTCORBA::RTORB::MutexNotFound::MutexNotFound | ( | const MutexNotFound & |  | ) |

RTCORBA::RTORB::MutexNotFound::~MutexNotFound | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * RTCORBA::RTORB::MutexNotFound::_alloc | ( | void |  | ) | `[static]`

RTCORBA::RTORB::MutexNotFound * RTCORBA::RTORB::MutexNotFound::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void RTCORBA::RTORB::MutexNotFound::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void RTCORBA::RTORB::MutexNotFound::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void RTCORBA::RTORB::MutexNotFound::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * RTCORBA::RTORB::MutexNotFound::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void RTCORBA::RTORB::MutexNotFound::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr RTCORBA::RTORB::MutexNotFound::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

MutexNotFound& RTCORBA::RTORB::MutexNotFound::operator= | ( | const MutexNotFound & |  | ) |

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp